class AR::Events::ARObjectTravelledEvent < AR::Events::Event
  attr_participant :traveller, :gateway

  def initialize params
    super params
  end 

  def default_story

    action_verb = (traveller == engine.world.player) ? "travel" : "travels"
    "#{traveller.name.capitalize} #{action_verb} via #{gateway.name}."
  end


end
